// (c) MIT 2003.  All rights reserved.

// $Id: DumbReasoner.java,v 1.4 2003/03/06 00:40:48 moltmans Exp $
// Time-stamp: <2000-03-11 18:54:47 moltmans>
package rec.core.reasoners;



import java.io.*;
import java.util.*;
import rec.util.*;
import rec.sys.*;

public class DumbReasoner //extends Reasoner 
{
  public DumbReasoner()
  {
    super();
  }


  //////////////////////////////////////////////////////////////////////////////

  /**
   * Called by Surface on each relevant Recognizer.
   *
   * @param w   The last thing added to the Surface, the root Widget
   *     which caused recognition to begin again.
   *
   * 
   */
  public void reason( Surface s, Widget w )
  {
    Collection c = w.getAllChildren();

    c.add( w );
    
    s.addWidgetsToSurface( c );
  
    //Console.writeln( "there are now " + s.numWidgets() + 
    //		     " Widget on the Surface" ); 
  }

}
